Skip to main content
GET
/
connect
/
v1
/
operators
/
{operatorId}
/
connections
List connections
curl --request GET \
  --url https://api.voyant.travel/connect/v1/operators/{operatorId}/connections \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "operatorId": "<string>",
      "supplierName": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "providerKey": "<string>",
      "providerRegistrationId": "<string>",
      "market": "US",
      "webhookSigningSecretLast4": "<string>",
      "metadata": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

operatorId
string
required

Operator id.

Response

200 - application/json

A list of connections.

data
object[]
required